$(function(){
	if($('#recaptcha_response_field').length>0){
		$('#recaptcha_logo,#recaptcha_tagline').remove();
		$('#recaptcha_response_field').removeAttr('style');
		$('#recaptcha_response_field').addClass('login-form-input');
	}
	
	$('.login-form-input,.FormSelect').focus(function(){
		$(this).addClass('login-form-inputFcs');
	});
	
	$('.login-form-input,.FormSelect,input[type="radio"],input[type="checkbox"]').blur(function(){
		var InputName=$(this).attr('name');
		$(this).removeClass('login-form-inputFcs');
		/*if(InputName=='kullanici') { ChckLoginUser(); return false; }	
		else if(InputName=='sifre') { ChckLoginPass(); return false; }
		else { return true; }*/
	});
});

/*Login Kontrol*/
 function ChckLoginUser () {
	var UserVal=document.forms['login-form'].kullaniciadi.value;
	if (UserVal.length ==0 || UserVal.indexOf(' ')>-1){
		OpenWarn('kullaniciadi',"Lütfen kullanıcı adınızı veya e-posta adresinizi giriniz.");
		return false;
	}
	else { CloseWarn('kullaniciadi'); }	
 }
 
 function ChckLoginPass () {
	if (document.forms['login-form'].sifre.value.length ==0){
		OpenWarn('sifre','"Şifreniz" alanını boş bıraktınız.');
		return false;
	}
	else { CloseWarn('sifre');  }		 
 }
 
 function ControlLogin() {
	if (document.forms['login-form'].kullaniciadi.value.length ==0){
		OpenWarn('kullaniciadi',"Lütfen kullanıcı adınızı veya e-posta adresinizi giriniz.");
		return false;
	}
	else { CloseWarn('kullaniciadi'); }
	
	if (document.forms['login-form'].sifre.value.length ==0){
		OpenWarn('sifre','"Şifreniz" alanını boş bıraktınız.');
		return false;
	}
	else { CloseWarn('sifre'); document.forms["login-form"].submit(); }	
 }
 /*Login Kontrol End*/


/*Uyari Fonksiyonu*/
function OpenWarn(element,txt){	
	$('[name="'+element+'"]').siblings('.loginformuyari,.FormTxtExp').hide();	
	$('[name="'+element+'"]').addClass('login-form-inputErr');
	
	$('[name="'+element+'"]').siblings('.loginformuyari:first').html(txt);
	$('[name="'+element+'"]').siblings('.loginformuyari:first').css('display','block');		
}
function CloseWarn(element){
	$('[name="'+element+'"]').siblings('.loginformuyari').hide();
	$('[name="'+element+'"]').removeClass('login-form-inputErr');		
	return true;
}
/*Uyari Fonksiyonu Bitis */

/*Login js control*/
var RecaptchaOptions = {
   lang : 'tr'
};
function getDocElement( element ){
	e = null;
	if (document.getElementById) {
		e = document.getElementById(element);
	}
	else if (window[element]) {
		e = window[element];
	}
	return e;
}


function setLoginFocus(){
	frm = getDocElement( 'login-form' );
	if( frm ){
		if( frm.kullaniciadi.value == "" || frm.kullaniciadi.value == null){
			frm.kullaniciadi.focus();
		}
		else if(frm.kullaniciadi.value){
			frm.sifre.focus();
		}
	}
}

function init(){
	setLoginFocus();
}
window.onload = init;